Subject: RE: Comments on draft-ietf-ipr-technology-rights-01.txt

From: "Contreras, Jorge" <[email-masked]>
Date: Wed, 26 Feb 2003 22:05:22 -0500

Please see responses below to some of Joe Zebarth's comments:

1       Abstract Page 1, last two sentences 

This text should be aligned and the exact relationship to RFC 2026 should be stated.  For example is 2026 still the definitive text and this is only amplification, i.e. expanded description but not scope?  If this is the case, then all of the RFC 2026 text should be removed from this document.  
[Contreras, Jorge] The two new documents (Rights in Submissions, Rights in Technology) are intended to clarify IETF practice, as it was originally specified in RFC 2026.  However, because these new documents expand on the 2026 language, it would be confusing for 2026 to remain "on the books".  Thus, I think that Section 10 of RFC 2026 should be considered superseded by the new documents once they become RFCs.

3       Page 2, 2nd last line 

It is proposed that the word "substantially" be removed.  It has been stated earlier that issuance of this document is to "amplify" the policy of RFC 2026.  Now, "amplify" is an ambiguous word.  It can mean "make bigger or extend" or it can mean "to expand stating or describing as by details".  It is my understanding that it is the latter, and as a result, the word substantially should be removed.
[Contreras, Jorge] Deleting the word "substantially" would be misleading, as there are a number of procedural changes (improvements) being implemented by the new documents.  The word "substantially" would imply that the rules of RFC 2026 are not being changed in a significant way, but they are being changed.   If you think that there are places where changes should not be made, please elaborate more specifically.

4       Page 3, Section 2.2.1 Para 1, 3rd last line 

The words "and any known owner of any intellectual property rights in the contribution." should be stricken as a party normally cannot make this representation.  This is placing an unnecessary and unacceptable obligation on the person making the submission.
[Contreras, Jorge] This one is verbatim from RFC 2026 10.3.1 and has been part of IETF practice. 

5       Page 4, Section 2.2.1 item B. 

The IETF is attempting to place an obligation on a participant that the participant has no authority to assume.  This text should be stricken.
[Contreras, Jorge] This one is verbatim from RFC 2026 10.3.1.7 and had been part of IETF practice.  It is one of the fundamental conditions of IETF participation by individuals.

Note to the drafter: a comma is needed between "grants" and "acknowledgements" 

6       Page 4, Section 3, Item c, 

        The text that reads as "all persons will be able to obtain the right to implement, use, distribute and exercise other rights with respect to an Implementing Technology under openly specified, reasonable, non-discriminatory terms unless such a statement has already been submitted." goes beyond the ability to practice the standard.  The text should limit itself to obtaining the right to practice the standard.
[Contreras, Jorge] These terms are intended to provide a more specific definition than "practice the standard", which does not have a well-understood legal meaning (at least not to me).

7       Page 4, Section 3.1 Line 1 

        The word "implicit" should be added so that the text reads as "The IESG will not make any implicit or explicit determination..." 
[Contreras, Jorge] Agreed. 

8       Page 5, Section 4, Item A), Para 2, line 1 

        The text "Copies of claims" should read as "Copies of IPR statements"
[Contreras, Jorge] Agreed  

9       Page 6, Definitions 5.1 and 5.2 

It would seem to make sense that these definitions appear here as they are not substantial, from a text/space point of view.  Besides, in the RFC SUB contribution the definition is explicitly defined as being only in the context of RFC SUB, and thus would by implication means that the definition does not apply to this ID.
[Contreras, Jorge] It would not hurt to include the text of the definitions here, provided that they have been finalized in the RFC SUB document. 

10      Page 6, Section 6.1.1, Para 1 

        This paragraph should indicate that the disclosure should be made to the IESG secretary. 
[Contreras, Jorge] I believe this is covered by 6.3. 

11      Page 6, Section 6.1.1, Para 3, last line on the page 

        This text should be made more explicit to limit it to essential IPR. 
[Contreras, Jorge] See the discussion of Scott Brim's suggestions on this point. 

12      Page 7, Section 6.1.2, Para 1 

As a fundamental rule participants should not be made to be responsible for others actions or inaction or insisting that they make a patent analysis on others IPR.  This text attempts to unnecessarily place this burden of responsibility on participants.  Note that the IETF and IESG will not obligate themselves to assume such a responsibility.
[Contreras, Jorge] This section says that an IETF participant who owns IPR (him/herself or through an employer/sponsor) in a standard he/she is discussion should disclose it.  I'm not sure that your comment addresses this particular issue. 

13      Page 7, Section 6.1.3, 1st line 

I believe it is section 4(B) that should be referenced. 
[Contreras, Jorge] Agreed 

14      Page 7, Section 6.2, Para 1 

The focus of the IETF should be the development of specifications.  The current text appears to provide a bias against member innovation and protection.  

15      Page 7, Section 6.2.1, Para 1 

        Should use "IPR disclosure" consistently with RFC 2026 language in this paragraph instead of IPR claims (global change required).  
[Contreras, Jorge] agreed

 Use of the words "encouraged" which appear in Section 4 (B) and in RFC 2026 should be used consistently within this document; the wording in Section 6.2 contradicts.   
[Contreras, Jorge] There are two types of disclosures: those that are required, and those that are encouraged.  This distinction is intentional, and does not represent an inconsistency. 

Should include or reiterate the statement that indicates that it is based on awareness and that there is no obligation for portfolio searches.
[Contreras, Jorge] Isn't that done sufficiently in Section 7?  We don't want to be too repetitive.

16      Page 7, Section 6.2.3 Para 1, line 3 

        The words "relevant patent" should be modified to read as "essential patent" (Global change required) 
[Contreras, Jorge] I think that would suggest a substantive change.  Can you elaborate on whether you are suggesting an narrowing of the scope of patents that is covered? 

17      Page 8, Section 6.3, Para 1, 

        In the first sentence "IPR claims" should be modified to read as "IPR disclosures" to be consistent with RFC 2026. (Global change required) 
[Contreras, Jorge] Agreed 

The second sentence should be deleted. 
[Contreras, Jorge] Why is this not a good idea? 

18      Page 8, Section 6.4, Para 1, 2nd last line 

Probably the words "and what sections of any documents are affected" should be deleted.  While the spirit of the intent may be correct, having such words would require a new disclosure after any of the referenced documents are revised with a section number change.  Failure for replacement disclosures that keep current alignment would soon be disclosing IPR on sections for which no real IPR claim was being made!  Additionally, such a requirement is too onerous.
[Contreras, Jorge] See discussion of Scott Brim's suggestion. 

19      Page 8, Section 6.4, Para 1, last line 

In response to the questions, "Should we put up a disclosure template?", the response is "No". 
[Contreras, Jorge] Please elaborate.  There has been a lot of support for disclosure templates, and they are used by many other standards bodies.  Is there a drawback that you would like to point out?

20      Page 8, Section 6.4, Para 2 

As written, this note fails to recognize the value of blanket statements which can provide value.  It should then go on to indicate that supplementation is appropriate.
[Contreras, Jorge] The intent is to discourage blanket statements, as feedback from many WGs has been that they are not, in fact, useful to the WGs who are trying to evaluate potential IP issues. 

21      Page 8, Section 6.5 Para 2 

The text of this paragraph and the examples should be stricken because it is not appropriate in that the purpose of this document was to clarify RFC 2026. 

22      Page 9, Section 6.6, Para 1 

Replace the first paragraph with the following sentence "Disclosures are triggered when there exists, or may exist, essential IPR to the practice of an IETF standard." which is consistent with RFC 2026.
[Contreras, Jorge] See discussion of Scott Brim's suggestion. 

24      Page 9, Section 7, Para 1, Sentence 2 

        These words are too subjective to be meaningful.  In particular the words "would be reasonably be expected to know" should as a minimum be stricken, in that they are contradictory to RFC 2026.
[Contreras, Jorge] It does not seem like these contradict 2026.  Please elaborate.  

25      Page 9, Section 8 

        Early disclosure is requested and it does not represent a threshold of failure.  The text should be modified to become less adversarial.

26      Page 10, Para 1 

        This text promotes disclosure of relevant IPR.  What is relevant is highly subjective and better text should be found.  Further, the requirement to disclose relevant IPR without proper guidance will tend to support and promote the submission of disingenuous IPR claims.  As stated earlier, the language should refer to "essential IPR" with a view towards practice in IETF standards.

Dept. 6L40 
ATI Strategic Standards 
Nortel Networks (Canada) 
Phone: +1 613 765 8481 
ESN:    6+395 8481 
Fax:     +1 613 763 2697 
ESN:    6+393 2697 
http://www.nortelnetworks.com

---

From: Keith Moore <[email-masked]>
Date: Thu, 27 Feb 2003 00:49:39 -0500

Jorge, you wrote

> Thus, I think that Section 10 of RFC 2026 should be considered superseded by
> the new documents once they become RFCs.

and later

> This one is verbatim from RFC 2026 10.3.1 and has been part of IETF
> practice. 

and later

>  This one is verbatim from RFC 2026 10.3.1.7 and had been part of IETF
>  practice.  It is one of the fundamental conditions of IETF participation by
>  individuals.

I guess I wonder why it's okay for some parts of this document to supersede
RFC 2026 and to then claim in the same message that it's not okay for other
parts of this document to do so.

It appears that we have a conflict between the IETF practice that individuals
are participants and IETF practices with regard to IPR of the employers of
IETF participants.  If the purpose of this document is to clarify, then surely
this is something we should clarify along with everything else?

Personally I think the "participants are individuals" aspect overrides the
other.  IETF simply cannot perform its mission if its participants are not
free to use their best judgement and expected to do so.

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: Scott W Brim <[email-masked]>
Date: Thu, 27 Feb 2003 07:56:01 -0500

> [Contreras, Jorge] agreed

Is this right?  The phrase "IPR claims" (at the end of the paragraph) is
meant to point to something which has not yet been disclosed, and which
should be.  Changing "IPR claims" to "IPR disclosure" doesn't make sense
to me.  

> [Contreras, Jorge] Agreed 

Similarly here.  If I'm looking at the same draft you are, the sentence
would then start: "Disclosure of IPR disclosure is made by sending ...".
That makes no sense to me whatsoever.

..swb

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 28 Feb 2003 17:50:33 +0100

> parts of this document to do so.

I don't see a problem in that, as long as there is explict text
added to say exactly which bits of 2026 are superseded.

> free to use their best judgement and expected to do so.

And as I just said on the -submission-rights- thread, I don't think
there is a problem here at all. I can speak for myself about my
engineering judgement, and I can give facts about my employer's
IPR claims, without any inconsistency whatever.

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 28 Feb 2003 17:59:05 +0100

> [Contreras, Jorge] I think that would suggest a substantive change.  Can you elaborate on whether you are
> suggesting an narrowing of the scope of patents that is covered? 

Jorge is correct, this would be a substantive change. It 
requires a much deeper analysis before making a disclosure.
It would make timely disclosure much less likely. I'd estimate
it would inject 3 to 6 months in the time taken to disclose.

   Brian